%define upstream_name    Dist-Zilla-Plugin-ApacheTest
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Build a Makefile.PL that uses ExtUtils::MakeMaker with Apache::Test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Dist::Zilla::Plugin::DynamicPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin will produce an the ExtUtils::MakeMaker manpage-powered
_Makefile.PL_ with Apache::Test hooks for the distribution. If loaded, the
Dist::Zilla::Plugin::Manifest plugin should also be loaded, and the
Dist::Zilla::Plugin::MakeMaker plugin should not be loaded.

At this time, this module is essentially a copy of the
Dist::Zilla::Plugin::MakeMaker plugin. Hopefully, over time, the
Dist::Zilla::Plugin::MakeMaker plugin will allow more customization so that
this module will not need to reimplement all of it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-3.mga8
+ Revision: 1503897
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-2.mga7
+ Revision: 1282978
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.40.0-1.mga7
+ Revision: 1168279
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1025815
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 935433
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 743974
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 510918
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 40354
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ApacheTest

